Loading...
Searching...
No Matches
casacore::MSFreqOffsetEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet FREQ_OFFSET table. More...

`#include <MSFreqOffEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , ANTENNA1 , ANTENNA2 , FEED_ID , INTERVAL , OFFSET , SPECTRAL_WINDOW_ID , TIME , NUMBER_REQUIRED_COLUMNS , NUMBER_PREDEFINED_COLUMNS }
| The FREQ_OFFSET table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet FREQ_OFFSET table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet FREQ_OFFSET table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSFreqOffset class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSFreqOffEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSFreqOffsetEnums::PredefinedColumns

The FREQ_OFFSET table colums with predefined meaning.

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
ANTENNA1 | Antenna 1 id Int.
ANTENNA2 | Antenna 2 id Int.
FEED_ID | Feed id Int.
INTERVAL | Time interval Double - s.
OFFSET | Frequency offset Double - Hz.
SPECTRAL_WINDOW_ID | Spectral window id Int.
TIME | Midpoint of time interval Double - s - EPOCH.
NUMBER_REQUIRED_COLUMNS | Number of required columns.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 60 of file MSFreqOffEnums.h.

## PredefinedKeywords

enum casacore::MSFreqOffsetEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 92 of file MSFreqOffEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSFreqOffEnums.h